# A demo with a button and an Entry widget.
# Demo courtesy of Dr. Alan McLeod

import tkinter
import tkinter.simpledialog
import math

top = tkinter.Tk()
radiusEntry = tkinter.Entry(top, width=10, font="Arial 16 bold")
resultLabel = tkinter.Label(top, text="", font="Arial 16 bold")

def main() :

    top.title("Window Entry Demo")
    calculateButton = tkinter.Button(top, text="Calculate Area:", \
                            font="Arial 16 bold", command=calculateArea)
    entryLabel = tkinter.Label(top, text="Radius:", font="Arial 16 bold")
    entryLabel.grid(row=0, column=0, sticky="e")
    radiusEntry.grid(row=0, column=1, sticky="w")
    calculateButton.grid(row=1, column=0)
    resultLabel.grid(row=1, column=1, sticky="w")
    top.columnconfigure(0, pad=20)
    top.columnconfigure(1, pad=20)
    top.rowconfigure(0, pad=20)
    top.rowconfigure(1, pad=20)
    
    tkinter.mainloop()


def calculateArea() :

    try :
        radius = float(radiusEntry.get())
        area = math.pi * radius * radius
        resultLabel.configure(text="%.2f" % area)
    except ValueError :
        resultLabel.configure(text="-error-")

main()
      
  

